Debian Bug report logs - #635441
lintian: Add libdigest-sha1-perl to the list of obsoleted packages

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Mon, 25 Jul 2011 20:18:01 UTC

Severity: normal

Tags: patch

Found in version lintian/2.5.1

Fixed in version lintian/2.5.2

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, debian-perl@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#635441; Package lintian. (Mon, 25 Jul 2011 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, debian-perl@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 25 Jul 2011 20:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Add libdigest-sha1-perl to the list of obsoleted packages
Date: Mon, 25 Jul 2011 22:15:17 +0200
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 2.5.1
Severity: normal
Tags: patch

Hi Lintian Maintainers

We from the Debian Perl Group would like to go forward the goal to
drop libdigest-sha1-perl. As you can read from [1], most of the
functionality which is provided by Digest::SHA1 is also provided by
Digest::SHA. Thus switching from rom Digest::SHA1 to Digest::SHA
should be in principle as easy as substituting the use of Digest::SHA1
with Digest::SHA. 

Furthermore: Digest::SHA is in Perl core since version 5.9.3 and thus
is in Debian's perl since Lenny and thus changing this will too reduce
the external dependencies by one. For more details please see [2].

 [1] http://bugs.debian.org/594273
 [2] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

The attached patch adds libdigest-sha1-perl to the list of the
obsoleted packages, would it be possible to add it?

Regards
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[0001-add-libdigest-sha1-perl-to-the-obsoleted-packages.patch (text/plain, attachment)]

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 26 Jul 2011 21:06:06 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Wed, 10 Aug 2011 18:52:29 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Wed, 10 Aug 2011 18:52:29 GMT) Full text and rfc822 format available.

Message #12 received at 635441-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 635441-close@bugs.debian.org
Subject: Bug#635441: fixed in lintian 2.5.2
Date: Wed, 10 Aug 2011 18:47:21 +0000
Source: lintian
Source-Version: 2.5.2

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.5.2.dsc
  to main/l/lintian/lintian_2.5.2.dsc
lintian_2.5.2.tar.gz
  to main/l/lintian/lintian_2.5.2.tar.gz
lintian_2.5.2_all.deb
  to main/l/lintian/lintian_2.5.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635441@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 10 Aug 2011 18:35:47 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.2
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 217023 536364 617905 620289 620418 624201 624521 630698 630925 631432 631513 631530 631656 631662 631674 631711 631763 631786 631872 632115 632159 632550 632556 632693 632789 632883 633044 633853 633976 634222 634874 635354 635441 635447 635495 636354 636681 637259
Changes: 
 lintian (2.5.2) unstable; urgency=low
 .
   * Summary of tag changes:
     + Added:
       - debian-rules-uses-deprecated-makefile
       - debian-rules-uses-or-modifies-user-only-variable
       - duplicate-changelog-files
       - package-has-long-file-name
       - source-package-component-has-long-file-name
       - udeb-uses-non-gzip-data-tarball
       - upstart-job-in-etc-init.d-not-registered-via-update-rc.d
     + Removed:
       - calls-suidperl-directly
       - suid-perl-script-but-no-perl-suid-dep
 .
   * checks/*:
     + [NT] Migrated to use new methods in the Lintian::Collect
       interfaces rather than accessing the Lab directly.
     + [NT] Removed "fields" from Needs-Info.
   * checks/{debconf,conffiles}.desc:
     + [NT] Added missing bin-pkg-control Needs-Info.
   * checks/{cruft,fields}{,.desc}:
     + [NT] Relocated doc pkg not arch all tag; it was never
       triggered since cruft was a source check and the tag
       could only be triggered for binary packages.
   * checks/binaries:
     + [NT] Added lib/${MULTIARCH_DIR} to the list of paths to
       check for public shared libraries.  Thanks to Sven Joachim
       for the report and the patch.  (Closes: #630698)
     + [NT] Recognise .gox files as object files that cannot be
       stripped.  Thanks to Matthias Klose for the report.
       (Closes: #624521)
     + [NT] Do not assume that the architecture field is present.
     + [NT] Emit "arch-dependent-file-in-usr-share" and
       "binary-in-etc" also for static compiled files.  Thanks to
       Jakub Wilk for the report and the patch.  (Closes: #635354)
     + [NT] Fixed false-negative for rpath, if the rpath included
       the multi-arch dir.  Thanks to Jakub Wilk for the report and
       the patch.  (Closes: #637259)
   * checks/changelog-file:
     + [NT] Removed exception for symlinked changelogs if the
       package had an Ubuntu version.  This exception is now
       handled by the profile.  Thanks to Benjamin Drung for the
       heads up.
   * checks/circular-deps.desc:
     + [NT] Fixed typo; thanks to Nicolás Alvarez for the report
       and patch.  (Closes: #630925)
   * checks/control-files:
     + [NT] Refactored static tables into data-files.
   * checks/copyright-file:
     + [NT] Stricten one of the regexes for catching left over
       helper templates.  This should prevent false-positives for
       some license texts.  Thanks to Charles Plessy for the
       report.  (Closes: #631674)
     + [NT] Use group data to determine if a package is foreign
       or not for symlinked /usr/share/doc/<pkg> dirs.  This
       avoids the need for symlinks between packages in the
       lab.
   * checks/deb-format{,.desc}:
     + [NT] Allow data.tar.xz as the third member.  Thanks to
       Ansgar Burchardt for the report and patch.
       (Closes: #632556)
     + [NT] Added test for udebs having non-gzip data members,
       since the debian-installer does not support them.  Thanks
       to Luk Claes.  (Closes: #634874)
   * checks/debhelper:
     + [NT] Do not trigger deprecation warning for dh_python if it
       is followed by a "$".  This prevents false-positives when
       a Makefile variable is used to choose between dh_python2
       and dh_python3.  Thanks to Leonid Borisenko for the report.
       (Closes: #631662)
     + [NT] Do not trigger deprecation warning for dh_python-ply,
       which Lintian incorrectly identified as dh_python.  Thanks
       to Daniele Tricoli for the report.  (Closes: #632693)
     + [NT] Fix a broken regex that caused Lintian skip brace
       expansion checks for some debhelper files.  Thanks to
       Jakub Wilk for the report and the patch.  (Closes: #632883)
     + [NT] Do not consider "debian/debhelper" a temporary debhelper
       file.  Some packages uses this a directory to store their
       debhelper files.
   * checks/debian-source-dir{,.desc}:
     + [NT] Added missing word in the tag description for
       git-patches-not-exported.
     + [NT] Fixed information disclosure issue, where Lintian could
       be tricked into disclosing the present of files on the host
       system via specially crafted source packages.
   * checks/duplicate-files:
     + [NT] Exclude  __init__.py files from the check as they are
       required even if they are empty.  Thanks to Daniele Tricoli
       for the report.  (Closes: #632789)
     + [NT] Report duplicate changelogs as a separate tag.
   * checks/fields:
     + [NT] Refactored to use Lintian::Data and use new data files
       from data/fields.
     + [NT] Added python3-dev and rmeoved python2.{4,5} from
       $PYTHON_DEV.  Thanks to Jakub Wilk for the report and the
       patch.  (Closes: #633044)
     + [NT] Fixed a bug where the libdb1-compat tag only triggered
       if libdb1-compat was listed in Pre-Depends.
     + [NT] Updated list of python "dev" packages.  Thanks to
       Jakub Wilk for the patch.
   * checks/filename-length{,.desc}:
     + [NT] New file that checks the length of the package file
       names.  (Closes: #631656)
   * checks/files:
     + [NT] Check for embedded copies of the underscore javascript
       library.  Thanks to Jakub Wilk for report and the patch.
       (Closes: #631513)
     + [NT] Removed a leading slash from the filename part of the
       extra for python-debug-in-wrong-location.  Thanks to
       Jakub Wilk for the report and the patch.  (Closes: #631530)
     + [NT] Accepted patch from Marcelo Jorge Vieira to catch
       four additional embedded javascript libraries.
       (Closes: #635447)
     + [NT] Stricten the regex for finding .xvpics dirs.
     + [NT] Shipping a lintian override is no longer enough to
       make lintian consider the package for "non-empty".
   * checks/init.d{,.desc}:
     + [NT] Provide a separate tag for upstart-jobs not registered
       via update-rc.d in postinst.  This allows vendors (such as
       Ubuntu) to disable this tag for upstart-jobs only using the
       new vendor profiles.  While this would break overrides, all
       existing overrides appears to be for normal scripts rather
       than upstart-jobs.  (Closes: #631872)
   * checks/java{,.desc}:
     + [NT] Jar files containing clojure files are no longer
       considered to be codeless.
     + [NT] Exclude jar files in /usr/lib/xul{-ext,runner} from the
       "jar-not-in-usr-share" check.  (Closes: #635495)
     + [NT] Fixed a typo in a tag description.
   * checks/menu-format.desc:
     + [NT] Mentioned how to git rid of the CR characters in the
       desktop file.  Thanks to Jakub Wilk.
   * checks/nmu:
     + [NT] "LowThresholdNMU" will now work as an alternative to
       "NMU" in changelogs for suppressing
       changelog-should-mention-nmu.  Thanks to Jordi Mallach for
       the report.  (Closes: #620418)
   * checks/po-debconf:
     + [NT] Allow po-files with an "@modifier", which works with
       debconf (>= 1.5.34).  (Closes: #617905)
   * checks/rules:
     + [NT] Check included files in d/rules against a limited
       number of common makefile snippets, which are known not
       to implement all the required targets.  This prevents
       false negatives of missing targets.  Thanks to
       Jakub Wilk for the suggestion and the initial makefile
       list.  (Closes: #631711)
     + [NT] Warn about including the CDBS simple-patchsys and dpatch
       as they are both deprecated by source format 3.0 (quilt).
       Thanks to Nelson A. de Oliveira for reporting and Luk Claes
       for providing an initial patch.  (Closes: #624201)
     + [NT] Added check for using DEB_*FLAGS_{SET,APPEND} in d/rules.
       Thanks to Raphaël Hertzog for the report.  (Closes: #631786)
   * checks/scripts{,.desc}:
     + [NT] Removed perl-suid related tags as the package is no
       longer available and we have no known packages triggering
       the tags at the moment.  (Closes: #631432)
     + [NT] Added perl6/rakudo as a known interpreter.  Thanks to
       Alessandro Ghedini for the report and patch.  (Closes: #636354)
   * checks/shared-libs{,.desc}:
     + [NT] Fixed broken sentence.  Thanks to Norbert Preining for
       reporting the issue.
     + [NT] Applied patch from Peter Pentchev to correct the logic for
       testing for shlib-calls-exit.  (Closes: #633976)
     + [NT] Mention that some of the tags may be triggered due to the
       debhelper bug #204975.  Thanks to Jakub Wilk for the report.
       (Closes: #633853)
   * checks/symlinks:
     + [NT] Symlink checking extended to relative paths as well.
       (Closes: #217023)
 .
   * collection/*:
     + [NT] Removed all Needs-Info on "fields" and all checks that
       used the "fields" dir (or files therein) to determine if the
       scripts had been called in the wrong dir.
   * collection/diffstat:
     + [NT] No longer unconditionally creates a diffstat file,
       since the Lintian::Collect interface will fall back to
       using /dev/null in its absence.
   * collection/fields:
     + [NT] Removed creation of cross package symlinks.  They have
       been replaced by the group information that checks are
       passed.
     + [NT] Deprecated it in favour of a smarter Lintian::Collect.
       It will be removed in a later release; for now it will just
       remove the "fields" directory in the lab.
   * collection/file-info:
     + [NT] Double check the output of file(1) when it says a ".gz"
       file is not gzip compressed.  This should reduce the number
       of false-positives gz-file-not-gzip tags.
       (Closes: #620289)
     + [NT] Open files before using chdir.  In the future unpacked
       may be a symlink.
   * collection/index{,.desc}:
     + [NT] Updated to handle source packages and with support for
       multi tarball source packages.
 .
   * data/control-files/{,u}deb-permissions:
     + [NT] Added files.
   * data/fields/*:
     + [NT] Added new files based on data variables from checks/fields.
   * data/fields/obsolete-packages:
     + [NT] Added ligdigest-sha1-perl on request of the Perl Team.
       Thanks to Salvatore Bonaccorso for the report and patch.
       (Closes: #635441)
   * data/fields/perl-provides:
     + [NT] Refreshed against perl 5.12.4.
   * data/files/standard-files:
     + [NT] Added file.
   * data/rules/{deprecated,known}-makefiles:
     + [NT] Added file.
   * data/spelling/corrections:
     + [RA] Remove discontiguous correction.  The OED lists this as valid.
       Thanks, Charles Plessy.  (Closes: #632159)
     + [NT] Added another correction for "specification".  Thanks to
       Jakub Wilk for the hint.  (Closes: #634222)
     + [NT] Added another correction for "development" and "misspelt".
       Thanks to Pino Toscano and Jakub Wilk for the suggestion.
 .
   * debian/control:
     + [NT] Bumped debhelper version to 8.1.0 due to the build-arch and
       build-indep targets.  Thanks to Mark Hymers for the heads up and
       a patch.  (Closes: #632550)
     + [NT] Added Build-Depends on cdbs, it is needed for some of the
       tests.
     + [NT] Pruned the Uploaders list a bit.  We would like to thank
       Jeroen van Wolffelaar, Frank Lichtenheld and Marc 'HE'
       Brockschmidt for their work on Lintian in the past.
   * debian/lintian.install:
     + [NT] Added the profiles directory.
   * debian/rules:
     + [NT] Added target to update the profiles.
 .
   * doc/lintian.xml:
     + [NT] Added information about the new Vendor profiles.
     + [NT] Improved various parts of the User Manual.  Especially
       mention that Lintian can be run on changes files and this
       processes all packages related to the changes file.
   * doc/lintianrc.example:
     + [NT] Added more sample options.
 .
   * frontend/{lintian,lintian-info}:
     + [NT] Added profile support (new option --profile), please
       refer to the Lintian User Manual for more information.
   * frontend/lintian:
     + [NT] Ensure that all dependency collections of a check are
       loaded.  Previously Lintian would only load direct
       dependencies of a collection and assume that was enough.
     + [NT] Allow "verbose" to appear in the lintianrc file.
     + [NT] Added new "--packages-from-file" option.  Lintian will
       read packages from the file (one package per line) and process
       these.  Unlike "--packages-file" it allows its argument to be
       "-" for stdin and the format is simpler.
     + [NT] Deprecated "--packages-file" in favour of the new
       "--packages-from-file" option.
     + [NT] Allow "y" as short form of "yes" in the configuration file.
       Furthermore, ignore case when doing the check for boolean
       values.
 .
   * lib/Lab.pm:
     + [NT] Removed $dist argument to lab creation, since we rely on
       LINTIAN_DIST being exported anyway.
     + [NT] Allow temporary labs to contain the same package twice if
       the version or/and architecture differs.  (Closes: #632115)
   * lib/Lab/Package.pm:
     + [NT] Symlink in all components of the source package when
       creating the source entry in the lab.  Also removed legacy
       code for using the old unpack scripts.
   * lib/Lintian/Collect/{Binary,Source}.pm:
     + [NT] Refactored code from these files into the module
       Lintian::Collect::Package.
   * lib/Lintian/Collect/Package.pm:
     + [NT] New file.  This serves as a base for Lintian::Collect
       modules that can be unpacked.
   * lib/Lintian/Command.pm:
     + [NT] Added support for appending output to files without
       truncating them first via the new out_append and
       err_append options.
   * lib/Lintian/Data.pm:
     + [NT] Let new take an optional fourth argument, a code sub,
       that can be used to pre-process the value.
   * lib/Lintian/{Internal/FrontendUtil,Profile}.pm:
     + [NT] New files.
   * lib/Lintian/ProcessablePool.pm:
     + [NT] Made the pool consider two packages with the same name
       as duplicates even if their version or architecture differs,
       when the underlying Lab does not support this run.  This
       causes lintian to drop one of the packages rather than ending
       up with an internal error.
   * lib/Lintian/{Tag/Info,Tags}.pm:
     + [NT] Updated for profile support.
   * lib/Read_pkglists.pm:
     + [NT] Merged the binary and udeb format since they were
       essentially the same.  Old udeb files can still be parsed
       as binary ones.
 .
   * man/lintian.pod.in:
     + [NT] Documented the new --profile option.  Note that the
       options --suppress-tags{,-from-file} now supresses tags
       in the active profile.
     + [NT] Removed all refereces to "unpack-level".  All unpack
       levels have been replaced by collections.
     + [NT] Clarified that some command-line arguments are only
       useful when using a static lintian lab.
     + [NT] Described the configuration file format.  Thanks to
       Sven Joachim for the report.  (Closes: #636681)
   * man/lintian-info.pod:
     + [NT] Documented the new --profile option.
 .
   * profiles/*:
     + [NT] Added default profiles for Debian and Ubuntu.  Note
       that these profiles will silently ignore overrides for
       "fatal" (non-overridable) tags.  (Closes: #536364)
 .
   * reporting/harness:
     + [NT] Use --packages-from-file instead of --packages-file.
   * reporting/{html_reports,templates/index.tmpl}:
     + [NT] Always emit a page for tags, even if they are not emitted.
       It will also include a link to the entire list of known tags.
       (Closes: #631763)
   * reporting/templates/{tag-not-seen,tags-all}.tmpl:
     + [NT] New files.
 .
   * unpack/list-binpkg:
     + [NT] Added a -u option to make it fetch udebs insteaad of
       regular binaries.  This and the udeb/bin format merge makes
       list-udebpkg obsolete.
   * unpack/list-udebpkg:
     + [NT] Removed in favour of list-binpkg.
   * unpack/unpack-srcpkg-l1:
     + [NT] Removed in favour of the collection system.
Checksums-Sha1: 
 25b59cab8969cd68513be3f7657def65b0b003a2 2314 lintian_2.5.2.dsc
 520872910568f6cd7fc7a61007780ebba0b380ec 956735 lintian_2.5.2.tar.gz
 dcebbe52bb7c3d79cd3e850714eb2f2ac5d33950 616626 lintian_2.5.2_all.deb
Checksums-Sha256: 
 d49fe4351decee8d0fd420a692dade9d7cdfd48f7e0dde37c9ec4d03e736392e 2314 lintian_2.5.2.dsc
 bb4ee9723ed031803865e292ae3d4d9246b8287fb538608eee3b5f1035eabb0b 956735 lintian_2.5.2.tar.gz
 f021f48bc3fe1f5bf00026d0989c8468b297ef833de5a42cecadba72c63db0b7 616626 lintian_2.5.2_all.deb
Files: 
 51c7cd19daee8def23718e7e3d168f08 2314 devel optional lintian_2.5.2.dsc
 733ba64dce52c71c30397fba134156cd 956735 devel optional lintian_2.5.2.tar.gz
 b9880afa6475182b979a95466d675146 616626 devel optional lintian_2.5.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOQs7kAAoJEAVLu599gGRC4csQAKvCbvP2MOLvoomrdCXVqxDW
is8z59VWa8Nsd4ZKbMB+no1nHGf6bK3RvNVSk90pi6exwUlUo40S7uwOx0xoMgwI
7avrUXh2cxSZPgBlT5caMutcY3JDuL/7VVl+Uh1fz6o3r8zlPv9GCH4EiEFCDNTB
Bvfrln6zTeRmsPP/jmzzvEBRJKkn8lGcCG6fvXVnvVBI03gBC8z+OY5aWqdPY8Be
JzWRKw/lmyGIxgaJZs4edb3UziWcVgsEt01rXbHs9zJRaG0Q7Jn9F1yZ+CKyrpTg
cwDdT9b9o9sPz9t1/OyyVmx+iezrY5iWzm+fTd8+n4fzCMEBpTQNalIPpven5rGi
i1zFtjvg7ZeVvGu4lb6rtFk64ifBB6i6zxXZD+iJfm+7KnzRnu66xkAnP+S84HDl
oIXxMXOsFSuUUpLBsmlbzmspBf7j4dt7q7gw5MThQVe6KBS5hMnUoB/fCZeLaZLF
WMUd5EfptV3Lq9D56/HTuSfhMUkc8J0R9FIv902IPiTft56KWhAg9414XXMOlpOT
FcZgUYfwbzMYWvpSGC8bne3GSQZCGbgM82syCul+R6oxd181kHE+N3TAHQDvl4FH
y22yrTlhB+zVYqT1waSFcIdb/aZDRcEA5n3+9A4kAbsgfI4fL3PAjrrubeg+w+i/
uoxrzxpkNQmgmwvZ8WlU
=gMet
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Sep 2011 07:43:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:59:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.